<?php
error_reporting(E_ALL ^ E_WARNING);
	$costo_inventario=0;
	$venta_inventario=0;
	$costo_inventario_uti=0;
	$venta_inventario_uti=0;
	
	require_once ("../config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
	require_once ("../config/conexion.php");//Contiene funcion que conecta a la base de datos
	$query=mysqli_query($con, "select * from tasa where id_tasa='1'");
						while ($row=mysqli_fetch_array($query)){
						$id_tasa=$row['id_tasa'];
						$tasa_actual=$row['tasa'];
						$ult_act=$row['fecha'];
	}	
	
	$action = (isset($_REQUEST['action'])&& $_REQUEST['action'] !=NULL)?$_REQUEST['action']:'';
	if (isset($_GET['id'])){
		$id_producto=intval($_GET['id']);
		$query=mysqli_query($con, "select * from products where id_producto='".$id_producto."'");
		$count=mysqli_num_rows($query);
		if ($count>0){
			if ($delete1=mysqli_query($con,"DELETE FROM products WHERE id_producto='".$id_producto."'")){
			?>
			<div class="alert alert-success alert-dismissible" role="alert">
			  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
			  <strong>Aviso!</strong> Datos eliminados exitosamente.
			</div>
			<?php 
		}else {
			?>
			<div class="alert alert-danger alert-dismissible" role="alert">
			  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
			  <strong>Error!</strong> Lo siento algo ha salido mal intenta nuevamente.
			</div>
			<?php
			
		}
			
		} else {
			?>
			<div class="alert alert-danger alert-dismissible" role="alert">
			  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
			  <strong>Error!</strong> No se pudo eliminar éste  producto. Existen cotizaciones vinculadas a éste producto. 
			</div>
			<?php
		}
		
	}
	if($action == 'ajax')
	{
		 $q = $_POST['q'];
		 $marca= $_POST['marca'];
		 $rubro= $_POST['rubro'];
		 $presentacion= $_POST['presentacion'];
		 $est=$_POST['est'];
		 
if($est=="")
{
		 
if($_POST['rubro']!="" && $_POST['q']=="" && $_POST['marca']=="" && $_POST['presentacion']=="")
{
$sql="select * , sum(existencia) AS consolidado from products where tipo_producto='".$rubro."' group by nombre_producto";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where tipo_producto='".$rubro."' group by nombre_producto");
}
else if($_POST['marca']!="" && $_POST['q']!="" && $_POST['rubro']=="" && $_POST['presentacion']=="")
{
$sql="select * , sum(existencia) AS consolidado from products where marca='".$marca."' AND nombre_producto LIKE '%".$q."%' group by nombre_producto AND marca";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where marca='".$marca."' AND nombre_producto LIKE '%".$q."%' group by nombre_producto AND marca");
}
else if($_POST['marca']!="" && $_POST['q']!="" && $_POST['rubro']!="" && $_POST['presentacion']=="")
{
$sql="select * , sum(existencia) AS consolidado from products where marca='".$marca."' AND tipo_producto='".$rubro."' AND nombre_producto LIKE '%".$q."%' group by nombre_producto AND marca";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where marca='".$marca."' AND tipo_producto='".$rubro."' AND nombre_producto LIKE '%".$q."%' group by nombre_producto AND marca");
}
else if($_POST['marca']!="" && $_POST['q']!="" && $_POST['rubro']!="" && $_POST['presentacion']!="") 
{
$sql="select * , sum(existencia) AS consolidado from products where marca='".$marca."' AND status_producto='".$presentacion."' AND tipo_producto='".$rubro."' AND nombre_producto LIKE '%".$q."%' group by nombre_producto";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where marca='".$marca."' AND status_producto='".$presentacion."' AND tipo_producto='".$rubro."' AND nombre_producto LIKE '%".$q."%' group by nombre_producto");
}
else if($_POST['marca']!="" && $_POST['q']=="" && $_POST['rubro']!="" && $_POST['presentacion']!="") 
{
$sql="select * , sum(existencia) AS consolidado from products where marca='".$marca."' AND status_producto='".$presentacion."' AND tipo_producto='".$rubro."' group by nombre_producto";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where marca='".$marca."' AND status_producto='".$presentacion."' AND tipo_producto='".$rubro."' group by nombre_producto");
}
else if($_POST['marca']!="" && $_POST['q']=="" && $_POST['rubro']!="" && $_POST['presentacion']=="")
{
$sql="select * , sum(existencia) AS consolidado from products where marca='".$marca."' AND tipo_producto='".$rubro."' group by nombre_producto";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where marca='".$marca."' AND tipo_producto='".$rubro."' group by nombre_producto");
}
else if($_POST['marca']!="" && $_POST['q']=="" && $_POST['rubro']=="" && $_POST['presentacion']!="")
{
$sql="select * , sum(existencia) AS consolidado from products where marca='".$marca."' AND status_producto='".$presentacion."' group by nombre_producto";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where marca='".$marca."' AND status_producto='".$presentacion."' group by nombre_producto");
}
else if($_POST['marca']!="" && $_POST['q']!="" && $_POST['rubro']=="" && $_POST['presentacion']!="")
{
$sql="select * , sum(existencia) AS consolidado from products where marca='".$marca."' AND status_producto='".$presentacion."' AND nombre_producto LIKE '%".$q."%' group by nombre_producto";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where marca='".$marca."' AND status_producto='".$presentacion."' AND nombre_producto LIKE '%".$q."%' group by nombre_producto");
}
else if($_POST['marca']=="" && $_POST['q']!="" && $_POST['rubro']!="" && $_POST['presentacion']=="") 
{
$sql="select * , suma(existencia) AS consolidado from products where tipo_producto='".$rubro."' AND nombre_producto LIKE '%".$q."%' group by nombre_producto group by nombre_producto";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where tipo_producto='".$rubro."' AND nombre_producto LIKE '%".$q."%' group by nombre_producto group by nombre_producto");
}
else if($_POST['marca']=="" && $_POST['q']!="" && $_POST['rubro']=="" && $_POST['presentacion']!="") 
{
$sql="select * , sum(existencia) AS consolidado from products where status_producto='".$presentacion."' AND nombre_producto LIKE '%".$q."%' group by nombre_producto";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where status_producto='".$presentacion." AND nombre_producto LIKE '%".$q."%' group by nombre_producto");
}
else if($_POST['marca']!="" && $_POST['q']=="" && $_POST['rubro']!="" && $_POST['presentacion']=="") 
{
$sql="select * , sum(existencia) AS consolidado from products where marca='".$marca."' AND tipo_producto='".$rubro."' group by nombre_producto";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where marca='".$marca."' AND tipo_producto='".$rubro."' group by nombre_producto");
}
else if($_POST['marca']=="" && $_POST['q']=="" && $_POST['rubro']=="" && $_POST['presentacion']=="") 
{
$sql="select * , sum(existencia) AS consolidado from products group by nombre_producto";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products group by nombre_producto");
}
else if($_POST['marca']=="" && $_POST['q']!="" && $_POST['rubro']!="" && $_POST['presentacion']!="") 
{
$sql="select * , sum(existencia) AS consolidado from products where status_producto='".$presentacion."' AND tipo_producto='".$rubro."' AND nombre_producto LIKE '%".$q."%' group by nombre_producto";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where status_producto='".$presentacion."' AND tipo_producto='".$rubro."' AND nombre_producto LIKE '%".$q."%' group by nombre_producto");
}
else if($_POST['marca']=="" && $_POST['q']=="" && $_POST['rubro']=="" && $_POST['presentacion']!="") 
{
$sql="select * , sum(existencia) AS consolidado from products where status_producto='".$presentacion."' group by nombre_producto";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where status_producto='".$presentacion."' group by nombre_producto");
}
else if($_POST['marca']=="" && $_POST['q']=="" && $_POST['rubro']!="" && $_POST['presentacion']!="") 
{
$sql="select * , sum(existencia) AS consolidado from products where status_producto='".$presentacion."' AND tipo_producto='".$rubro."' group by nombre_producto";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where status_producto='".$presentacion."' AND tipo_producto='".$rubro."' group by nombre_producto");
}
else if($_POST['rubro']=="" && $_POST['q']=="" && $_POST['marca']!="" && $_POST['presentacion']=="") 
{
$sql="select * , sum(existencia) AS consolidado from products where marca='".$marca."' group by nombre_producto";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where marca='".$marca."' group by nombre_producto");
}
else if($_POST['marca']=="" && $_POST['q']!="" && $_POST['rubro']=="" && $_POST['presentacion']=="") 
{
$sql="select * , sum(existencia) AS consolidado from products where nombre_producto LIKE '%".$q."%' group by nombre_producto";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where nombre_producto LIKE '%".$q."%' group by nombre_producto");
}
}



else
{

if($_POST['rubro']!="" && $_POST['q']=="" && $_POST['marca']=="" && $_POST['presentacion']=="")
{
$sql="select * from products where tipo_producto='".$rubro."' AND almacen='".$est."'";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where tipo_producto='".$rubro."' AND almacen='".$est."'");
}
else if($_POST['marca']!="" && $_POST['q']!="" && $_POST['rubro']=="" && $_POST['presentacion']=="")
{
$sql="select * from products where marca='".$marca."' AND nombre_producto LIKE '%".$q."%' AND almacen='".$est."'";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where marca='".$marca."' AND nombre_producto LIKE '%".$q."%' AND almacen='".$est."'");
}
else if($_POST['marca']!="" && $_POST['q']!="" && $_POST['rubro']!="" && $_POST['presentacion']=="")
{
$sql="select * from products where marca='".$marca."' AND tipo_producto='".$rubro."' AND nombre_producto LIKE '%".$q."%' AND almacen='".$est."'";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where marca='".$marca."' AND tipo_producto='".$rubro."' AND nombre_producto LIKE '%".$q."%' AND almacen='".$est."'");
}
else if($_POST['marca']!="" && $_POST['q']!="" && $_POST['rubro']!="" && $_POST['presentacion']!="") 
{
$sql="select * from products where marca='".$marca."' AND status_producto='".$presentacion."' AND tipo_producto='".$rubro."' AND nombre_producto LIKE '%".$q."%' AND almacen='".$est."'";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where marca='".$marca."' AND status_producto='".$presentacion."' AND tipo_producto='".$rubro."' AND nombre_producto LIKE '%".$q."%' AND almacen='".$est."'");
}
else if($_POST['marca']!="" && $_POST['q']=="" && $_POST['rubro']!="" && $_POST['presentacion']!="") 
{
$sql="select * from products where marca='".$marca."' AND status_producto='".$presentacion."' AND tipo_producto='".$rubro."' AND almacen='".$est."'";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where marca='".$marca."' AND status_producto='".$presentacion."' AND tipo_producto='".$rubro."' AND almacen='".$est."'");
}
else if($_POST['marca']!="" && $_POST['q']=="" && $_POST['rubro']!="" && $_POST['presentacion']=="")
{
$sql="select * from products where marca='".$marca."' AND tipo_producto='".$rubro."' AND almacen='".$est."'";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where marca='".$marca."' AND tipo_producto='".$rubro."' AND almacen='".$est."'");
}
else if($_POST['marca']!="" && $_POST['q']=="" && $_POST['rubro']=="" && $_POST['presentacion']!="")
{
$sql="select * from products where marca='".$marca."' AND status_producto='".$presentacion."' AND almacen='".$est."'";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where marca='".$marca."' AND status_producto='".$presentacion."' AND almacen='".$est."'");
}
else if($_POST['marca']!="" && $_POST['q']!="" && $_POST['rubro']=="" && $_POST['presentacion']!="")
{
$sql="select * from products where marca='".$marca."' AND status_producto='".$presentacion."' AND nombre_producto LIKE '%".$q."%' AND almacen='".$est."'";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where marca='".$marca."' AND status_producto='".$presentacion."' AND nombre_producto LIKE '%".$q."%' AND almacen='".$est."'");
}
else if($_POST['marca']=="" && $_POST['q']!="" && $_POST['rubro']!="" && $_POST['presentacion']=="") 
{
$sql="select * from products where tipo_producto='".$rubro."' AND nombre_producto LIKE '%".$q."%' AND almacen='".$est."'";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where tipo_producto='".$rubro."' AND nombre_producto LIKE '%".$q."%' AND almacen='".$est."'");
}
else if($_POST['marca']=="" && $_POST['q']!="" && $_POST['rubro']=="" && $_POST['presentacion']!="") 
{
$sql="select * from products where status_producto='".$presentacion."' AND nombre_producto LIKE '%".$q."%' AND almacen='".$est."'";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where status_producto='".$presentacion." AND nombre_producto LIKE '%".$q."%' AND almacen='".$est."'");
}
else if($_POST['marca']!="" && $_POST['q']=="" && $_POST['rubro']!="" && $_POST['presentacion']=="") 
{
$sql="select * from products where marca='".$marca."' AND tipo_producto='".$rubro."' AND almacen='".$est."'";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where marca='".$marca."' AND tipo_producto='".$rubro."' AND almacen='".$est."'");
}

else if($_POST['marca']=="" && $_POST['q']=="" && $_POST['rubro']=="" && $_POST['presentacion']=="") 
{
$sql="select * from products where almacen='".$est."'";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where almacen='".$est."'");
}
else if($_POST['marca']=="" && $_POST['q']!="" && $_POST['rubro']!="" && $_POST['presentacion']!="") 
{
$sql="select * from products where status_producto='".$presentacion."' AND tipo_producto='".$rubro."' AND nombre_producto LIKE '%".$q."%' AND almacen='".$est."'";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where status_producto='".$presentacion."' AND tipo_producto='".$rubro."' AND nombre_producto LIKE '%".$q."%' AND almacen='".$est."'");
}
else if($_POST['marca']=="" && $_POST['q']=="" && $_POST['rubro']=="" && $_POST['presentacion']!="") 
{
$sql="select * from products where status_producto='".$presentacion."' AND almacen='".$est."'";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where status_producto='".$presentacion."' AND almacen='".$est."'");
}
else if($_POST['marca']=="" && $_POST['q']=="" && $_POST['rubro']!="" && $_POST['presentacion']!="") 
{
$sql="select * from products where status_producto='".$presentacion."' AND tipo_producto='".$rubro."' AND almacen='".$est."'";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where status_producto='".$presentacion."' AND tipo_producto='".$rubro."' AND almacen='".$est."'");
}
else if($_POST['rubro']=="" && $_POST['q']=="" && $_POST['marca']!="" && $_POST['presentacion']=="") 
{
$sql="select * from products where marca='$marca' AND almacen='".$est."'";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where marca='$marca' AND almacen='".$est."'");
}
else if($_POST['marca']=="" && $_POST['q']!="" && $_POST['rubro']=="" && $_POST['presentacion']=="") 
{
$sql="select * from products where nombre_producto LIKE '%".$q."%' AND almacen='".$est."'";
$count_query = mysqli_query($con, "SELECT count(*) AS numrows from products where nombre_producto LIKE '%".$q."%' AND almacen='".$est."'");
}


}
	
	
	
	
	
		include 'pagination.php'; //include pagination file
		//pagination variables
		$page = (isset($_REQUEST['page']) && !empty($_REQUEST['page']))?$_REQUEST['page']:1;
		$per_page = 20; //how much records you want to show
		$adjacents  = 4; //gap between pages after number of adjacents
		$offset = ($page - 1) * $per_page;
		//Count the total number of row in your table*/
		$row= mysqli_fetch_array($count_query);
		$numrows = $row['numrows'];
		$total_pages = ceil($numrows/$per_page);
		$reload = './productos.php';
		//main query to fetch the data
		if($est=="" && $_POST['rubro']=="" && $_POST['q']=="" && $_POST['marca']=="" && $_POST['presentacion']=="")
		{
		$sql.=" ORDER BY tipo_producto";
		}
		else
		{
		$sql.=" ORDER BY tipo_producto";
		}
		
		$query = mysqli_query($con, $sql);
		//loop through fetched data
		if ($numrows>0){
			
			?>
			<div class="table-responsive">
			  <table class="table">
              <tr>
              <td colspan="9" class='text-right'>
               <a href="imp_inventario.php?q=<?php echo $q?>"><button type='button' class="btn btn-info"><span class="glyphicon glyphicon-print" ></span> Descargar PDF</button></a>
              </td>
              </tr>
				<tr  class="warning">
					
                    <th>Tipo Rubro</th>
                    <th>Producto</th>
					<th>Marca</th>
					<th>Presentacion</th>
					<th>Existencia</th>
					<th class='text-right' width="18%">Precio con IVA</th>
                	
				</tr>
				<?php
		while ($row=mysqli_fetch_array($query)){
		$id_producto=$row['id_producto'];
		$codigo_producto=$row['codigo_producto'];
		$tipo_producto=$row['tipo_producto'];
		$nombre_producto=$row['nombre_producto'];
		$presentacion_producto=$row['status_producto'];
		$date_added= date('d/m/Y', strtotime($row['date_added']));
		$marca=$row['marca'];
		if($est==""){ $consolidado=$row['consolidado'];}
		else{ $consolidado=$row['existencia'];}
		
		$precio_producto=$row['precio_producto'];
		$precio_venta=$row['precio_venta'];
		
		$costo_inventario=$costo_inventario+($precio_producto*$consolidado);
		$venta_inventario=$venta_inventario+($precio_venta*$consolidado);
	
		$precio_productof=number_format($precio_producto,1,",", ".");
		$dolar_a_bolivarpro=$precio_producto*$tasa_actual;
		$dolar_a_bolivarprof=number_format($dolar_a_bolivarpro,1,",", ".");
					
		if(empty($precio_venta)){
		$precio_venta=0;}
		$precio_ventaf=number_format($precio_venta,1,",", ".");
		$dolar_a_bolivarven=$precio_venta*$tasa_actual;
		$dolar_a_bolivarvenf=number_format($dolar_a_bolivarven,1,",", ".");
	    //$iva=$precio_ventaf*0.16;
		//$dolar_a_bolivariva=$iva*$tasa_actual;
		//$dolar_a_bolivarivaf=number_format($dolar_a_bolivariva,1,",", ".");
		
	
				?>
	            <input type="hidden" value="<?php echo $codigo_producto;?>" id="codigo_producto<?php echo $id_producto;?>">
				<input type="hidden" value="<?php echo $tipo_producto;?>" id="tipo_producto<?php echo $id_producto;?>">
	            <input type="hidden" value="<?php echo $nombre_producto;?>" id="nombre_producto<?php echo $id_producto;?>">
				<input type="hidden" value="<?php echo $marca;?>" id="marca<?php echo $id_producto;?>">	
                <input type="hidden" value="<?php echo $consolidado?>" id="existencia_producto<?php echo $id_producto;?>">					
                <input type="hidden" value="<?php echo $presentacion_producto;?>" id="presentacion_producto<?php echo $id_producto;?>">
				<input type="hidden" value="<?php echo $precio_producto;?>" id="precio_producto<?php echo $id_producto;?>">
                <input type="hidden" value="<?php echo $precio_venta;?>" id="precio_venta<?php echo $id_producto;?>">
				<input type="hidden" value="<?php //echo $iva;?>0" id="iva<?php echo $id_producto;?>">
				
				
				<tr style="font-size:10px;">
				        <td><?php echo $tipo_producto; ?></td>
						<td><a href="#" data-id="<?php echo $nombre_producto;?>" data-toggle="modal" title="Ver Ubicacion del Producto" data-target="#ubicaciones"><?php echo $nombre_producto; ?></a></td>
						<td><?php echo $marca; ?></td>
						<td><?php echo $presentacion_producto;?></td>
						<td><?php echo $consolidado;?></td>
                        <td class='text-right'>$. <?php echo $precio_ventaf; ?> / Bsf. <?php echo $dolar_a_bolivarvenf; ?></td>
					</tr>
					<?php
				}
				

$costo_inventariof=number_format($costo_inventario,1,",", ".");
$dolar_a_bolivarinv=$costo_inventario*$tasa_actual;
$dolar_a_bolivarinvf=number_format($dolar_a_bolivarinv,1,",", ".");

$venta_inventariof=number_format($venta_inventario,1,",", ".");
$dolar_a_bolivarrec=$venta_inventario*$tasa_actual;
$dolar_a_bolivarrecf=number_format($dolar_a_bolivarrec,1,",", ".");

$utilidad=$venta_inventario-$costo_inventario;
$utilidadf=number_format($utilidad,1,",", ".");
$dolar_a_bolivaruti=$utilidad*$tasa_actual;
$dolar_a_bolivarutif=number_format($dolar_a_bolivaruti,1,",", ".");
				?>
				</tr>
                <tr>
                </tr>
                <tr>
                <td colspan="5" class='text-right'><strong>Costo del Inventario</strong></td>
                <td colspan="1" class='text-right'><strong>$<?php echo $costo_inventariof; ?> / <?php echo $dolar_a_bolivarinvf; ?>BsD</strong></td>
              </tr>
              <tr>
                <td colspan="5" class='text-right'><strong>Recaudacion Estimada</strong></td>
                <td colspan="1" class='text-right'><strong>$<?php echo $venta_inventariof; ?> / <?php echo $dolar_a_bolivarrecf; ?>BsD</strong></td>
               </tr>
               <tr>
               <td colspan="5" class='text-right'><strong>Utilidad Estimada</strong></td>
               <td colspan="1" class='text-right'><strong>$<?php echo $utilidadf; ?> / <?php echo $dolar_a_bolivarutif; ?>BsD</strong></td>
               </tr>
                <?php
				}
				?>
				<tr>
					<td colspan=7><span class="pull-right">
					<?php
					 echo paginate($reload, $page, $total_pages, $adjacents);
					?></span></td>
				</tr>
			  </table>
			</div>
			<?php
		}
?>